summaryrefslogtreecommitdiff
path: root/contrib/run-script-cascj9-fnt
diff options
context:
space:
mode:
authorAndrew Reynolds <andrew.j.reynolds@gmail.com>2018-04-20 14:16:32 -0500
committerGitHub <noreply@github.com>2018-04-20 14:16:32 -0500
commit5f1cdd91a5e03dd29b660c841032d5b2a31ea634 (patch)
tree3ceb08bffd53ea829682fcf679538bbaf08b7a90 /contrib/run-script-cascj9-fnt
parentbd2f0ebc852a877e1bec4a8c2efca1539db8e4fb (diff)
Draft of casc j9 scripts (#1800)
Diffstat (limited to 'contrib/run-script-cascj9-fnt')
-rwxr-xr-xcontrib/run-script-cascj9-fnt35
1 files changed, 35 insertions, 0 deletions
diff --git a/contrib/run-script-cascj9-fnt b/contrib/run-script-cascj9-fnt
new file mode 100755
index 000000000..4e52e8e91
--- /dev/null
+++ b/contrib/run-script-cascj9-fnt
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+here=`dirname $0`
+cvc4=$here/cvc4
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc4-fnt casc j9 : $bench at $2..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc4 --lang=tptp --no-checking --no-interactive --dump-models --produce-models --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Satisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ CounterSatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc4 --lang=tptp --no-checking --no-interactive --dump-models --produce-models --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+# designed for 300 seconds
+trywith 30 --finite-model-find --uf-ss=no-minimal --sort-inference
+finishwith --finite-model-find --macros-quant --macros-quant-mode=all --sort-inference
+# echo "% SZS status" "GaveUp for $filename"
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback